export async function filterAsync<T>(
  arr: T[],
  predicate: (v) => Promise<boolean>
): Promise<T[]> {
  const results = await Promise.all(arr.map(predicate));
  return arr.filter((_v, i) => results[i]);
}
