import { Message } from "oceanic.js";
import { Command, Extras } from ".";

const cmdEcho: Command = {
  names: ["echo", "say"],
  desc: "repeat text back to you",
  splitArgs: false,

  checkPerm: async () => true,
  
  async handler(ex: Extras, content: string) {
    await ex.say(content);
  },
};

export default cmdEcho;
